> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mailofly.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Browse All Registered Signals

> Get a complete catalog of every signal currently registered in your Mailofly account.

Need a bird's-eye view of all the doorbell signals your system can listen for?

Calling this endpoint returns a complete catalog of all your custom event schemas.

### Response

<ResponseField name="object" type="string">
  Always says `"list"`.
</ResponseField>

<ResponseField name="has_more" type="boolean">
  `true` if there are even more signals on the next page.
</ResponseField>

<ResponseField name="data" type="object[]">
  A list of all your registered events with their IDs, names, and schemas.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET 'https://api.mailofly.com/events' \
    -H 'Authorization: Bearer mf_live_xxxxxxxx'
  ```

  ```javascript Node.js theme={null}
  import { Mailofly } from "@mailofly/node";

  const mailofly = new Mailofly("mf_live_xxxxxxxx");

  const catalog = await mailofly.events.list();

  console.log(`You have ${catalog.data.length} registered signals!`);
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "object": "list",
    "has_more": false,
    "data": [
      {
        "id": "evt_4b219081-3a11-4821-b810-091827361821",
        "name": "user.signup",
        "schema": [
          { "name": "first_name", "type": "string" },
          { "name": "plan", "type": "string" }
        ],
        "created_at": "2026-04-10T12:00:00.000Z"
      },
      {
        "id": "evt_99182736-11aa-4920-8192-918273618211",
        "name": "cart.abandoned",
        "schema": [
          { "name": "item_count", "type": "number" },
          { "name": "cart_total", "type": "number" }
        ],
        "created_at": "2026-04-11T15:20:00.000Z"
      }
    ]
  }
  ```
</ResponseExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.